## fp-units-win 3.2.2+dfsg

=== debian/changelog ===
fp-units-win (3.2.2+dfsg-46) unstable; urgency=medium

  * Remove Lintian warning about dependencies on obsolete package.
  * Simplified rules file and used dh sequencer.
  * Removed unused Lintian overrides.
  * Updated licenses in copyright file.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 18 Feb 2025 14:36:17 +0100

fp-units-win (3.2.2+dfsg-35) unstable; urgency=medium

  * Fixed lintian error about alien tag.
    The name of the binary package was misspelled in the override file.
  * Fixed lintian error about debhelper substitution var not correctly used.
    The substitution var was applied to a package that is not being built.
    We used another mechanism to build the dependency.
  * Fixed clean target in debian/rules to remove auto generated files.
  * Fixed build for i386-win32 as i386-win64 does not make sense.
    (Closes: Bug#1084752)
  * Fixed VCS link debian/control file.
  * Removed units that do not make sense for win32 target.
    These are Kylix compatibility units that are per essence Linux units.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 06 Jan 2025 22:52:11 +0100

fp-units-win (3.2.2+dfsg-33) unstable; urgency=medium

  * Fixed typos in package descriptions. (Closes: Bug#1055903)
  * Added new package to install latest version of fp-units-win-rtl.
    (Closes: Bug#1054343)
  * Bumped debhelper dependency version to shutdown a Lintian warning.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 08 Jun 2024 01:10:37 +0200

fp-units-win (3.2.2+dfsg-20) unstable; urgency=medium

  * Build fp-units-win-* packages using native package. (Closes: Bug#1037137)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 30 Mar 2023 21:31:30 +0200
